Bank Account
List bank account activities
List the activity line items on a bank account, newest first. Each line item is one posting to the account, as it would appear on a bank statement, with the account's running balance after it posted. Filter by posting time with the effective_at_* parameters.
Eventual consistency
The bank account activities endpoint is eventually consistent, typically activities within a few seconds are reflected on this endpoint but occasionally it may lag up to a few minutes. Ordering is always guaranteed and activities will never appear out of order.
Path Parameters
bank_account_id
stringRequiredUnique identifier for the bank account.
Query Parameters
effective_at_gt
date-timeOptionalReturn activities where the settlement_date field is greater than this value. Cannot be combined with effective_at_gte.
effective_at_gte
date-timeOptionalReturn activities where the settlement_date field is greater than or equal to this value. Cannot be combined with effective_at_gt.
effective_at_lt
date-timeOptionalReturn activities where the settlement_date field is less than this value. Cannot be combined with effective_at_lte.
effective_at_lte
date-timeOptionalReturn activities where the settlement_date field is less than or equal to this value. Cannot be combined with effective_at_lt.
ending_before
stringOptionalA cursor for use in pagination. ending_before is an activity_line_item_id that defines your place in the list. For instance, if you make a list request and receive 20 activities, starting with lent_2zEuf3oP0xR9sYdZ5oLT6SvXpQa, your subsequent call can include ending_before=lent_2zEuf3oP0xR9sYdZ5oLT6SvXpQa in order to fetch the previous page of the list.
limit
numberOptionalA limit on the number of objects to be returned, between 1 and 100. The default is 10.
starting_after
stringOptionalA cursor for use in pagination. starting_after is an activity_line_item_id that defines your place in the list. For instance, if you make a list request and receive 20 activities, ending with lent_2zEuf3oP0xR9sYdZ5oLT6SvXpQa, your subsequent call can include starting_after=lent_2zEuf3oP0xR9sYdZ5oLT6SvXpQa in order to fetch the next page of the list.